package com.sybotan.android.demo.adapter;

import android.content.Context;

import com.framework.mvvm.model.db.entity.EquipmentEntity;
import com.sybotan.android.demo.R;

import java.util.List;

/**
 * Created by lihao.
 * Date: 2021/10/15
 */
public class EquipListAdapter extends BaseRecyclerViewAdapter<EquipmentEntity> {
    public EquipListAdapter(Context context, List<EquipmentEntity> beans) {
        super(context, beans);
    }

    @Override
    protected int getItemLayoutId(int viewType) {
        return R.layout.item_tree;
    }

    @Override
    protected void onBindDataToView(ViewHolder holder, EquipmentEntity entity) {
        holder.setText(R.id.labelTv, entity.getSystemName() + "/" + entity.getName());
    }

    @Override
    public int getItemViewType(int position) {
        return 0;
    }
}
